Bug 121399 - (ACPI)boot on smp kernel gives 'lost interrupt'.
(ACPI)boot on smp kernel gives 'lost interrupt'.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 00:07 EDT by Terrence Sue-Ako
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-13 05:21:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt of /var/log/messages (131.20 KB, text/plain)
2004-04-21 00:13 EDT, Terrence Sue-Ako
no flags Details

  None (edit)
Description Terrence Sue-Ako 2004-04-21 00:07:51 EDT
Description of problem:

Multiple 'lost interrupt' messages for devices hde/hdg (both of whom
are attached to a hpt370 controller) are generated when booting with
smp kernel, but not with the uni-processor one.  SMP kernel will
manage to come up (if left alone long enough) but will be flaky (e.g.
ethernet will drop out for no reason). Uniprocessor version will come
up OK.

Version-Release number of selected component (if applicable):
 Fedora Core (2.6.3-2.1.253.2.1smp)

How reproducible:
Always

Steps to Reproduce:
1.install FC2 test2 
2. at reboot, pick smp option instead of uni-processor
3.
  
Actual results:

Apr 20 15:55:37 suelinux kernel: hdg: lost interrupt
Apr 20 15:55:37 suelinux kernel: hde: lost interrupt
Apr 20 15:55:37 suelinux kernel: hde: lost interrupt
Apr 20 15:55:37 suelinux kernel: hde: dma_timer_expiry: dma status == 0x24
Apr 20 15:55:37 suelinux kernel: hde: 0 bytes in FIFO
Apr 20 15:55:37 suelinux kernel: hde: DMA interrupt recovery
Apr 20 15:55:37 suelinux kernel: hde: lost interrupt
Apr 20 15:55:37 suelinux kernel: hdg: lost interrupt
Apr 20 15:55:37 suelinux kernel: hdg: lost interrupt
Apr 20 15:55:37 suelinux kernel: hdg: dma_timer_expiry: dma status == 0x24
Apr 20 15:55:37 suelinux kernel: hdg: 0 bytes in FIFO
Apr 20 15:55:37 suelinux kernel: hdg: DMA interrupt recovery
Apr 20 15:55:37 suelinux kernel: hdg: lost interrupt
Apr 20 15:55:37 suelinux kernel: hde: dma_timer_expiry: dma status == 0x24
Apr 20 15:55:37 suelinux kernel: hde: 0 bytes in FIFO
Apr 20 15:55:37 suelinux kernel: hde: DMA interrupt recovery

Expected results:

Above will not appear.

Additional info:

I am using a Elitegroup D6VAA motherboard with dual PIII 1ghz with
Windows 2000 and linux installed.  Onboard VIA vt82c686b chip handles
ide0/ide1 drives (2 60 gb Maxtors, 1 160gb Maxtor hard drives and 1 HP
dvd200i DVD writer).  HPT370 chip handles ide2 (60gb Maxtor as hde)
and ide3 (60 gb Maxtor as hdg) drives.  Both hde/hdg are used by
Windows 2000 only and have been configured as NTFS.
Comment 1 Terrence Sue-Ako 2004-04-21 00:13:23 EDT
Created attachment 99583 [details]
excerpt of /var/log/messages

My apologies in advance if this is too long.  I do not have much experience in
putting together information for problem resolution.
Comment 2 Alan Cox 2004-05-02 20:04:56 EDT
Does booting with the option "acpi=off" help this problem go away ?
Comment 3 Terrence Sue-Ako 2004-05-04 05:47:42 EDT
Booting with "acpi=off" seems to do the trick.  Boot appears to be a
normal one now.  

Note You need to log in before you can comment on or make changes to this bug.